❖ MatchMove Banking API Specifications

Sections

Theme switcher

Get business

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Response

200
Object

OK

Response Attributes

idstring

Unique identifier for the business user

typestring

User type (business)

client_ref_idstring

Client's reference ID for the business user

provider_ref_idstring

Provider's reference ID

provider_account_numberstring

Account number from provider

preferred_namestring

Business preferred name

emailstring

Business email address

mobile_country_codestring

Mobile country code

mobilestring

Mobile number

company_namestring

Official company name

company_typestring

Company type

industrystring

Industry type

foundation_datestring

Date when company was founded

rolestring

Role of the user in the business

alternative_namesarray

Alternative or trading names

Max items
5
lei_codestring

Legal Entity Identifier code

websitestring

Company website URL

business_idstring

Unique Parent business identifier

identificationobject

Primary and secondary identification documents

addressesobject

Address structure for business users

data_terms_signed_atstring

Timestamp when data terms were signed

source_of_fundsstring

Source of business funds

purpose_of_account_openingstring

Purpose for opening the account

tos_acceptanceobject
metadataobject

Additional metadata

statusstring

Current business user status

Enum values:
pending_verificationverification_completedpending_activationactiverejectedsuspendedterminated
sub_statusstring

Current business user sub-status

kyc_statusstring

KYC verification status

Enum values:
not_submittedpendingin_progresscompleted
kyc_sub_statusstring

KYC verification sub-status

transaction_statusstring

Transaction status

transaction_sub_statusstring

Transaction sub-status

is_email_verifiedstring

Email verification status

is_mobile_verifiedstring

Mobile verification status

is_risk_flaggedstring

Risk flagging status

Enum values:
UNKNOWNPENDINGCLEAREDREJECTED
kyc_processed_datestring

Date when KYC was processed

date_createdstring

Business user creation timestamp

date_updatedstring

Business user last update timestamp

pending_updatearray

List of pending information updates

Max items
50
verification_idobject

Verification identifiers

require_provider_updatearray

Fields requiring provider update

Max items
50
requirementsobject
risk_assesment_statusstring

Risk assessment status

Enum values:
UNKNOWNPENDINGCLEAREDREJECTED
errorsarray

List of errors if any

Max items
20
status_reason_codestring

Reason code for current status

status_messagestring

Status message description

volume_of_assetsstring

Volume of business assets

supporting_documentsarray

List of supporting business identification documents

Max items
10
risk_evaluation_datestring

Risk name screening evaluated date

verification_expirystring

User CDD verification expiry date

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates the authentication failure.

Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates why the request was rejected.

Possible error codes:

  • unauthorized_action — The requested action is not permitted for this scope

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found The response code field indicates the missing resource.

Possible error codes:

  • route_not_defined — Missing auth definition on the given route
  • user_not_found — No users found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates the failure category.

Possible error codes:

  • request_fatal_internal — Fatal service error
  • generic_error — General application error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?